renovate-bot
Repos
1733
Followers
828

Events

Created at 32 seconds ago

chore(Poetry): Use == to specify exact versions

While Poetry appears to interpret the missing version constraints as exact version requirements, the official documentation requires use of a version constraint, such as ==.

chore(deps): bump mypy from v0.982 to v0.991

| datasource | package | from | to | | ---------- | ------- | ----- | ----- | | pypi | mypy | 0.982 | 0.991 |

Created at 8 minutes ago

chore(Poetry): Use == to specify exact versions

While Poetry appears to interpret the missing version constraints as exact version requirements, the official documentation requires use of a version constraint, such as ==.

Created at 12 minutes ago
Update dependency gradle to v7.6

Mend Renovate

This PR contains the following updates:

| Package | Update | Change | |---|---|---| | gradle (source) | minor | 7.4.2 -> 7.6 |


Release Notes

v7.5.1: 7.5.1

This is a patch release for 7.5. We recommend using 7.5.1 instead of 7.5

Read the Release Notes

We would like to thank the following community members for their contributions to this release of Gradle: Michael Bailey, Josh Kasten, Marcono1234, mataha, Lieven Vaneeckhaute, kiwi-oss, Stefan Neuhaus, George Thomas, Anja Papatola, Björn Kautler, David Burström, Vladimir Sitnikov, Roland Weisleder, Konstantin Gribov, David Op de Beeck, aSemy, Rene Groeschke, Jonathan Leitschuh, Aurimas Liutikas, Jamie Tanna, Xin Wang, Atsuto Yamashita, Taeik Lim, Peter Gafert, Alex Landau, Jerry Wiltse, Tyler Burke, Matthew Haughton, Filip Daca, Simão Gomes Viana, Vaidotas Valuckas, Edgars Jasmans, Tomasz Godzik, Jeff, Lajos Veres

Upgrade instructions

Switch your build to use Gradle 7.5.1 by updating your wrapper:

./gradlew wrapper --gradle-version=7.5.1

See the Gradle 7.x upgrade guide to learn about deprecations, breaking changes and other considerations when upgrading.

Reporting Problems

If you find a problem with this release, please file a bug on GitHub Issues adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the forum.


Configuration

📅 Schedule: Branch creation - At any time (no schedule defined), Automerge - At any time (no schedule defined).

🚦 Automerge: Disabled by config. Please merge this manually once you are satisfied.

Rebasing: Whenever PR becomes conflicted, or you tick the rebase/retry checkbox.

🔕 Ignore: Close this PR and you won't be reminded about this update again.


  • [ ] If you want to rebase/retry this PR, check this box

This PR has been generated by Mend Renovate. View repository job log here.

Created at 12 minutes ago
renovate-bot create branch renovate/gradle-7.x
Created at 12 minutes ago
Update jacksonDatabindVersion to v2.14.1

Mend Renovate

This PR contains the following updates:

| Package | Change | Age | Adoption | Passing | Confidence | |---|---|---|---|---|---| | com.fasterxml.jackson.datatype:jackson-datatype-guava | 2.14.0 -> 2.14.1 | age | adoption | passing | confidence | | com.fasterxml.jackson.datatype:jackson-datatype-jsr310 | 2.14.0 -> 2.14.1 | age | adoption | passing | confidence | | com.fasterxml.jackson.dataformat:jackson-dataformat-yaml | 2.14.0 -> 2.14.1 | age | adoption | passing | confidence | | com.fasterxml.jackson.core:jackson-databind (source) | 2.14.0 -> 2.14.1 | age | adoption | passing | confidence |


Configuration

📅 Schedule: Branch creation - At any time (no schedule defined), Automerge - At any time (no schedule defined).

🚦 Automerge: Disabled by config. Please merge this manually once you are satisfied.

Rebasing: Whenever PR becomes conflicted, or you tick the rebase/retry checkbox.

🔕 Ignore: Close this PR and you won't be reminded about these updates again.


  • [ ] If you want to rebase/retry this PR, check this box

This PR has been generated by Mend Renovate. View repository job log here.

Created at 14 minutes ago

Bump lucene-core from 9.4.1 to 9.4.2 (#260)

Bumps lucene-core from 9.4.1 to 9.4.2.


updated-dependencies:

  • dependency-name: org.apache.lucene:lucene-core dependency-type: direct:production update-type: version-update:semver-patch ...

Signed-off-by: dependabot[bot] support@github.com

Signed-off-by: dependabot[bot] support@github.com Co-authored-by: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>

Bump com.diffplug.spotless from 6.11.0 to 6.12.0 (#259)

Bumps com.diffplug.spotless from 6.11.0 to 6.12.0.


updated-dependencies:

  • dependency-name: com.diffplug.spotless dependency-type: direct:production update-type: version-update:semver-minor ...

Signed-off-by: dependabot[bot] support@github.com

Signed-off-by: dependabot[bot] support@github.com Co-authored-by: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>

Configure Renovate (#256)

  • Add renovate.json

Signed-off-by: Daniel Widdis widdis@gmail.com

  • Move Renovate to .github and preemptively update some versions

Signed-off-by: Daniel Widdis widdis@gmail.com

  • Remove dependabot since it would be redundant

Signed-off-by: Daniel Widdis widdis@gmail.com

  • Explicitly add git signoff (Co-authored-by passes DCO)

Signed-off-by: Daniel Widdis widdis@gmail.com

Signed-off-by: Daniel Widdis widdis@gmail.com Co-authored-by: Daniel Widdis widdis@gmail.com

Created at 14 minutes ago